class CurrencyValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /^\d*+(\.\d{1,2})?$/
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end