class HexValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /^#?([a-f0-9]{6}|[a-f0-9]{3})$/
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end