class HtmlValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /^<([a-z]+)([^<]+)*(?:>(.*)<\/\1>|\s+\/>)$/
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end