class NameValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /\A([a-zA-Z'-]+\s+){0,4}[a-zA-Z'-]*\z/i
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end