class SlugValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /^[a-z0-9-]+$/
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end