class IpValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /^(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/ 
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end