class PostalCodeValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /^\A[\d]{5}(?:[-|\s][\d]{4})?\Z$/
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end