class UrlValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /^\A([\d]{3}\-[\d]{2}\-[\d]{4}|[\d]{9})\Z$/
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end