class TelephoneValidator < ActiveModel::EachValidator
  def validate_each(object, attribute, value)
    unless value =~ /^[0-9+\(\)#\.\s\/ext-]+$/i
      object.errors[attribute] << (options[:message] || "is not formatted properly")
    end
  end
end